Subject: Re: bug#8447: Undoing M-x revert-buffer

From: Stefan Monnier <[email-masked]>
Date: Fri, 08 Apr 2011 22:49:54 -0300

> It would be nice to be able to undo a revert-buffer operation.

So do I.  I've been using a local patch to do that, actually.  IIRC back
when I wrote it, RMS opposed the change.  I think my change only
affected the "revert while keeping the same major-mode" such as the
revert performed silently by auto-revert-mode and VC operations.  It has
bit-rotted somewhat, but I remember that the current code works hard at
forgetting the undo data (it does it once at the Lisp level and another
time inside insert-file-contents).

        Stefan